Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Jawbone (Bluetooth) Updater does not support Firefox 4. It worked with previous version of Firefox

  • No replies
  • 20 have this problem
  • 2 views
more options

Jawbone's website updates my bluetooth device occasionally, but since I have installed Firefox 4 I get a message that reads "Sorry, we don't support that browser. We support the following browsers: PC Firefox 3+, Internet Explorer 6+ & Chrome 3+.

We believe your system to be:Mozilla/5.0 (Windows NT 5.1; rv:2.0) Gecko/20100101 Firefox/4.0

Jawbone's website updates my bluetooth device occasionally, but since I have installed Firefox 4 I get a message that reads "Sorry, we don't support that browser. We support the following browsers: PC Firefox 3+, Internet Explorer 6+ & Chrome 3+. We believe your system to be:Mozilla/5.0 (Windows NT 5.1; rv:2.0) Gecko/20100101 Firefox/4.0